diff --git a/tests/kernel/obj_tracing/src/object_monitor.c b/tests/kernel/obj_tracing/src/object_monitor.c
index 4d50c7b05704..e21a3df93b81 100644
--- a/tests/kernel/obj_tracing/src/object_monitor.c
+++ b/tests/kernel/obj_tracing/src/object_monitor.c
@@ -28,6 +28,10 @@
 #define IPM_THREAD 0
 #endif /* CONFIG_IPM_CONSOLE_RECEIVER && CONFIG_PRINTK*/
 
+#if CONFIG_BT
+#define BT_SEM 1
+#endif
+
 /* Must account for:
  *	N Philosopher threads
  *	1 Object monitor thread
@@ -39,6 +43,7 @@
 void *force_sys_work_q_in = (void *)&k_sys_work_q;
 
 #define TOTAL_THREADS (N_PHILOSOPHERS + 3 + IPM_THREAD)
+#define TOTAL_SEM (N_PHILOSOPHERS + BT_SEM)
 
 #define OBJ_LIST_NAME k_sem
 #define OBJ_LIST_TYPE struct k_sem
@@ -97,7 +102,7 @@ void object_monitor(void)
 	}
 	TC_PRINT("SEMAPHORE QUANTITY: %d\n", obj_counter);
 
-	if (obj_counter == N_PHILOSOPHERS) {
+	if (obj_counter == TOTAL_SEM) {
 		TC_END_RESULT(TC_PASS);
 		test_counter++;
 	} else {
